package com.xmomen.module.system.model;

import java.io.Serializable;
import java.util.List;

/**
 * Created by Jeng on 16/3/25.
 */
public class OrganizationModel implements Serializable {

    // 组织ID
    private Integer id;
    // 组织名称
    private String name;
    // 组织描述
    private String description;
    // 父组织ID
    private Integer parentId;
    // 父组织名称
    private String parentName;
    // 子组织列表
    private List<OrganizationModel> nodes;

    // 获取组织ID
    public Integer getId() {
        return id;
    }

    // 设置组织ID
    public void setId(Integer id) {
        this.id = id;
    }

    // 获取组织名称
    public String getName() {
        return name;
    }

    // 设置组织名称
    public void setName(String name) {
        this.name = name;
    }

    // 获取组织描述
    public String getDescription() {
        return description;
    }

    // 设置组织描述
    public void setDescription(String description) {
        this.description = description;
    }

    // 获取父组织ID
    public Integer getParentId() {
        return parentId;
    }

    // 设置父组织ID
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    // 获取父组织名称
    public String getParentName() {
        return parentName;
    }

    // 设置父组织名称
    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    // 获取子组织列表
    public List<OrganizationModel> getNodes() {
        return nodes;
    }

    // 设置子组织列表
    public void setNodes(List<OrganizationModel> nodes) {
        this.nodes = nodes;
    }
}
